Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.mdr.events
Class VetoChangeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.jmi.reflect.JmiException
                      javax.jmi.reflect.ConstraintViolationException
                          org.netbeans.api.mdr.events.VetoChangeException

All Implemented Interfaces:
  Serializable

    public class VetoChangeException

extends javax.jmi.reflect.ConstraintViolationException

Can be thrown from `MDRPreChangeListener.plannedChange(org.netbeans.api.mdr.events.MDRChangeEvent)` to veto the planned change.

See Also:
  Serialized Form

Constructor Summary
`VetoChangeException(Object objectInError, javax.jmi.reflect.RefObject elementInError)` Creates a new instance of VetoChangeException
`VetoChangeException(Object objectInError, javax.jmi.reflect.RefObject elementInError, String message)` Creates a new instance of VetoChangeException

Method Summary

Methods inherited from class javax.jmi.reflect.JmiException
`getElementInError, getObjectInError`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VetoChangeException

    public VetoChangeException(Object objectInError,
                               javax.jmi.reflect.RefObject elementInError)

  Creates a new instance of VetoChangeException

### VetoChangeException

    public VetoChangeException(Object objectInError,
                               javax.jmi.reflect.RefObject elementInError,
                               String message)

  Creates a new instance of VetoChangeException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.